Skip to main content
POST
Update an integration
Slack, Discord, and Telegram integrations can only be updated from the control panel, see why some apps are not supported.

Authorizations

Authorization
string
header
required

Use a user token to access authenticated routes. The token must be specified in the Authorization HTTP header with the following format 'Authorization: Bearer '.

Headers

X-Phare-Project-Id
integer

A project header is required when using an organization-scoped API key.

Example:

1

X-Phare-Project-Slug
string

A project header is required when using an organization-scoped API key.

Example:

"luminous-guiding-tower"

Path Parameters

app
enum<string>
required

The app key

Available options:
sms,
email,
ilert,
ntfy,
outgoing_webhook,
pushover
integrationId
integer
required

ID of the integration to update

Body

application/json

Integration request

name
string

Integration name

Required string length: 2 - 50
Example:

"DevOps Team"

settings
Empty · object

Settings specific to the integration app

Response

Success, integration updated

name
string
required

Integration name

Required string length: 2 - 50
Example:

"DevOps Team"

id
integer

Integration ID

Example:

1

app
enum<string>
Available options:
sms,
discord,
email,
ilert,
ntfy,
outgoing_webhook,
pushover,
slack,
telegram
settings
Empty · object

Settings specific to the integration app

paused
boolean

Integration paused status

Example:

false

created_at
string<date-time>

Date of creation for the entity

updated_at
string<date-time>

Date of last update for the entity

Last modified on October 11, 2026